- Getting Started

  - [Free Trial](free-trial.md)
  - [Trial v Paid](trial-v-paid.md)
  - [Meet the Family](meet-the-family.md)
  - [What's New in 4.0](whats-new-in-40.md)
  - [Quickstart 4.0](quickstart.md)
  - [Upgrading to 4.0](upgrading-to-40.md)

- GitPitch Conventions

  - [PITCHME.md](conventions/pitchme-md.md)
  - [PITCHME.yaml](conventions/pitchme-yaml.md)
  - [Slide Delimiters](conventions/slide-delimiters.md)

- GitPitch Desktop

  - [About](desktop/)
  - [Download](desktop/download.md)
  - [Launch](desktop/launch.md)
  - [Modes](desktop/app-modes.md)
  - [Publishing](desktop/publishing.md)
  - [Tools](desktop/tools.md)
  - [OBS Studio](desktop/obs.md)
  - [FAQ](desktop/faq.md)

- GitPitch Cloud

  - [About](cloud/)
  - [Public Slide Decks](cloud/public-slide-decks.md)
  - [Private Slide Decks](cloud/private-slide-decks.md)
  - [Password-Protected Decks](cloud/password-protected-slide-decks.md)
  - [Audio Slide Decks](cloud/audio-slide-decks.md)
  - [Survey Slide Decks](cloud/survey-slide-decks.md)

- Grid Layouts

  - [Basics](grid-layouts/)
  - [Grid Drag + Drop](grid-layouts/drag-and-drop.md)
  - [Grid Flow](grid-layouts/flow.md)
  - [Grid Stacks](grid-layouts/stacks.md)
  - [Grid Widget](grid-layouts/widget.md)
  - [Grid Native Widgets](grid-layouts/native-widgets.md)
 
- Grid Fit

  - [Fit for Text](grid-layouts/fit-text.md)
  - [Fit for Lists](grid-layouts/fit-lists.md)
  - [Fit for Code](grid-layouts/fit-code.md)
  - [Fit for Maths](grid-layouts/fit-maths.md)
  - [Fit for Tables](grid-layouts/fit-table-data.md)
  - [Fit for Images](grid-layouts/fit-images.md)

- Grid Behaviors

  - [Grid Set](grid-layouts/set.md)
  - [Grid Alignment](grid-layouts/alignment.md)
  - [Grid Fragments](grid-layouts/fragments.md)
  - [Grid Synchronization](grid-layouts/synchronization.md)
  - [Grid Animations](grid-layouts/animations.md)

- Grid Power

  - [Grid Borders](grid-layouts/borders.md)
  - [Grid Padding](grid-layouts/padding.md)
  - [Grid Backgrounds](grid-layouts/backgrounds.md)
  - [Grid Opacity](grid-layouts/opacity.md)
  - [Grid Filters](grid-layouts/filters.md)
  - [Grid Transformations](grid-layouts/transformations.md)

- Modular Markdown

  - [Basics](modular-markdown/)
  - [Markdown Injection](modular-markdown/injection.md)
  - [Markdown Variables](modular-markdown/variables.md)
  - [Markdown Globals](modular-markdown/globals.md)
  - [Markdown Templates](modular-markdown/templates.md)
  - [Markdown Includes](modular-markdown/includes.md)
  - [Modular Slide Decks](modular-markdown/modular-decks.md)

- Speaker Support

  - [Basics](speaker/)
  - [Speaker Notes](speaker/notes.md)
  - [Speaker List Notes](speaker/list-notes.md)
  - [Speaker Window](speaker/window.md)
  - [Speaker Remote Control](speaker/remote-control.md)
  - [Speaker Demo Gods](speaker/demo-gods.md)

- Text Content

  - [Basics](text/basics.md)
  - [Fonts](text/fonts.md)
  - [Fit for Text](grid-layouts/fit-text.md)

- List Content

  - [Basics](lists/basics.md)
  - [List Widget](lists/widget.md)
  - [List Styles](lists/styles.md)
  - [List Behaviors](lists/behaviors.md)
  - [Fit for Lists](grid-layouts/fit-lists.md)

- Image Content

  - [Basics](images/)
  - [Image Widget](images/widget.md)
  - [Image Size Policy](images/size-limits-policy.md)
  - [Fit for Images](grid-layouts/fit-images.md)

- Code Content

  - [Basics](code/)
  - [Code Widgets](code/widgets.md)
  - [Code Presenting](code/presenting.md)
  - [Code Filters](code/filters.md)
  - [Code Behaviors](code/behaviors.md)
  - [Code Highlighting](code/highlighting.md)
  - [Monospaced Fonts](code/monospaced-fonts.md)
  - [Terminal Sessions](code/terminal-sessions.md)
  - [Fit for Code](grid-layouts/fit-code.md)

- Diagrams Content

  - [Whiteboard Sketches](diagrams/whiteboard-sketches.md)
  - [Cloud Diagrams](diagrams/cloud-architecture.md)
  - [Mermaid Diagrams](diagrams/mermaid.md)
  - [PlantUML Diagrams](diagrams/plantuml.md)
  - [Graphviz/DOT Diagrams](diagrams/graphviz.md)
  - [Line Bar Radar Charts](diagrams/charts.md)

- Maths Content

  - [MathJax Formulas](maths/mathjax-formulas.md)
  - [LaTeX + AsciiMath](maths/latex-asciimath.md)
  - [Fit for Maths](grid-layouts/fit-maths.md)

- Video Content

  - [Video Widget](videos/widget.md)
  - [Video Backgrounds](videos/background.md)
  - [Offline Videos](videos/offline.md)

- Rich Media Content

  - [Color Backgrounds](media/color-backgrounds.md)
  - [FontAwesome 5 Icons](media/fontawesome.md)
  - [Embed Tweets](media/tweets.md)
  - [Embed Table Data](media/table-data.md)

- Citations Support

  - [Citations + Bibliography](citations/bibliographies.md)

- Theme Customization

  - [The Theme Builder](theme/builder.md)
  - [The Theme Template](theme/template.md)
  - [Activate Custom CSS](theme/custom-css.md)
  - [Activate Custom Fonts](theme/custom-fonts.md)
  - [Built-In Utility Styles](theme/utility-styles.md)

- GitPitch Enterprise

  - [About](enterprise/)
  - [Prerequesites](enterprise/prerequisites.md)
  - [Install](enterprise/install.md)
  - [Launch](enterprise/launch.md)
  - [Config](enterprise/config.md)

- GitPitch CI/CD

  - [About](cicd/)
  - [CircleCI](cicd/circleci.md)
  - [GitLab CI/CD](cicd/gitlab-cicd.md)
  - [GitHub Actions](cicd/github-actions.md)

- Custom Settings

  - [Basics](/settings/)
  - [Title](/settings/title.md)
  - [Lang](/settings/lang.md)
  - [Favicon](/settings/favicon.md)
  - [Footnote](/settings/footnote.md)
  - [Background](/settings/background.md)
  - [Twitter Card](/settings/twitter-card.md)
  - [Google Analytics](/settings/google-analytics.md)

- Auxiliary Content

  - [Markdown Shortcuts](auxiliary/shortcuts.md)
  - [Slides Table-of-Contents](auxiliary/toc.md)
  - [Embed Slide Decks](auxiliary/embedly.md)
  - [Snap Layouts 3.0](auxiliary/snap-layouts.md)
  - [Documentation 3.0](auxiliary/documentation-30.md)

