### Mermaid Properties

The mermaid widget supports the following mermaid specific properties:

<details>
<summary>Mermaid Style Properties</summary>

- **theme=**default | dark | forest | neutral
- **bg=**transparent | color

</details>

### Image Properties

The *mermaid widget* is an image native widget meaning it also directly supports [image widget](/images/widget.md) properties:

<details>
<summary>Image Sizing Properties</summary>

- **width=**px
- **height=**px

</details>

<details>
<summary>Image Power Properties</summary>

- **opacity=**0.1..1
- **rotate=**0..360
- **skewx=**0..360
- **skewy=**0..360
- **filter=**blur | bright | contrast | grayscale | hue | invert | saturate | sepia

</details>

<details>
<summary>Image Accessibility Properties</summary>

- **alt=**alt-text-for-screen-readers
- **title=**title-text-for-tooltips

</details>

### Grid Native Props

The *mermaid widget* is a [grid native widget](/grid-layouts/native-widgets.md) meaning it also directly supports [grid layouts](/grid-layouts/) properties:

<details>
<summary>Grid Block Drag-and-Drop Properties</summary>

- **drag=**width height
- **drop=**x y | topleft | top | topright | left | center | right | bottomleft | bottom | bottomright

</details>

<details>
<summary>Grid Block Flow Properties</summary>

- **flow=**col | row | stack

</details>

<details>
<summary>Grid Block Styling Properties</summary>

- **bg=**color
- **bg=**path/to/image.file _opacity _color
- **pad=**top right bottom left
- **border=**width style color
- **set=**space-separated-css-style-names

</details>

<details>
<summary>Grid Block Text Control Properties</summary>

- **fit=**0.1..9.99
- **font=**font-family

</details>

<details>
<summary>Grid Block Behavior Properties</summary>

- **animate=**slideup | slidedown | slideleft | slideright | tada | flip | fadein | fadeout
- **animate=**bounceup | bouncedown | bounceleft | bounceright | speedleft | speedright
- **audio=**path/to/sound.file
- **stretch=**true | false
- **sync=**true | false | index 

</details>

<details>
<summary>Grid Block Power Properties</summary>

- **opacity=**0.1..1
- **rotate=**0..360
- **skewx=**0..360
- **skewy=**0..360
- **filter=**blur | bright | contrast | grayscale | hue | invert | saturate | sepia

</details>

