# GitPitch Enterprise Install

- [Getting Started](#getting-started)
- [Install Docker](#install-docker)
- [Create Docker Account](#create-docker-acount)
- [Register Docker ID](#register-docker-id)
- [Await Confirmation](#await-confirmation)
- [Login to Docker Hub](#login-to-docker-hub)
- [Pull Docker Image](#pull-docker-image)
- [Verify Docker Image](#verify-docker-image)

### Getting Started

If you have not activated a trial subscription for GitPitch Enterprise
you can do so now on the GitPitch website, click [here](https://gitpitch.com/enterprise).


***

Assuming you activated your trail subscription for GitPitch Enterprise
the remainder of this guide will take you through the steps you need to
take in order to download the GitPitch Enterprise image from the Docker
Hub registry.

### Install Docker

GitPitch Enterprise is delivered using [Docker](https://docker.com) container technology.

In order to download GitPitch Enterprise, you first need to have Docker installed on your Linux server.  If you do not have Docker installed on your server, please go ahead and install it now.  You can find Docker installation [instructions here](https://docs.docker.com/install).

### Create Docker Acount

The GitPitch Enterprise image is maintained in the Docker Hub registry. Therefore, in order to download the image you will need your own account on [Docker Hub](https://hub.docker.com). If you do not have an account on Docker Hub, please go ahead and [create a free account now](https://hub.docker.com).

### Register Docker ID

Before you can download the image from Docker Hub you must be granted
read-access to the GitPitch Enterprise image repository. For that to
happen, you need to share your Docker Hub ID with us. Please
register your Docker Hub ID under the **GitPitch Enterprise Access Management**
section of your profile page on the GitPitch
website, click [here](https://gitpitch.com/login/enterprise).

### Await Confirmation

Once we receive and process your Docker Hub ID - a process that may
take up to 24 hours - we will send you an email to confirm your access
to the GitPitch Enterprise image repository.  As soon as you receive
this confirmation message you are then ready to move on to the next step.

### Login to Docker Hub

You should now have access to the GitPitch Enterprise image repository. Downloading is a two-step process.  The first step requires a simple login to Docker Hub from the command line on your host Linux server. You can login using the following command:

```
docker login
```

Once you can confirm a successful login move on to the next step.

### Pull Docker Image

Following a successful login to Docker Hub you are now ready to download the GitPitch Enterprise image from the Docker Hub registry.  To download, use the following command:

```
docker pull gitpitch/enterprise:latest
```

Allow the download process to complete.  This may take a few minutes the first time you run this command.

?> In the future you can use this same command to pull any updates to the Enterprise image.

### Verify Docker Image

Following a successful download, the GitPitch Enterprise image should be visible to Docker on your local server. You can verify the presence of the image using the following command:

```
docker images
```

The output generated by that command should confirm the existence of your local copy of the GitPitch Enterprise image. The output should be similar, but not necessarily identical, to the following:

```
$ docker images

REPOSITORY            TAG      IMAGE ID       CREATED      SIZE
gitpitch/enterprise   latest   83447a6c80d6   1 week ago   1.07GB
```

Congratulations. If you have reached this point you have completed a successful installation of the GitPitch Enterprise image. You are now ready to move on to [launching the server](/enterprise/launch).

