# Speaker Remote Control

GitPitch supports hands-free slide navigation using remote control devices such as Logitech, Kensington, etc. This feature is especially useful during live presentations at conferences and meetups or when delivering training.

### Activation

To activate hands-free navigation enable the `remote-control` setting in the [PITCHME.yaml](/convenetions/pitchme-yaml.md) for your slide deck:

```yaml
remote-control : true
```

By default hands-free navigation by remote control devices is disabled.

### Custom Key Mappings

In order to navigate through the full set of slides in your slide deck your remote control device must emit a stream of `Previous` and `Next` events.

The actual key codes emitted by remote control devices for these events can vary. For example, some basic two-button devices emit events that map to `Up` and `Down` rather than `Previous` and `Next` key codes.

To ensure you can work with any remote control device, GitPitch supports two additional settings:

- `remote-control-prevkey`
- `remote-control-nextkey`

These settings can be used to map navigation events from any remote control device to `Previous` and `Next` events required by GitPitch for proper hands-free navigation.

### Sample Key Mappings

The following PITCHME.yaml settings demonstrate a mapping of the Up (keycode: 38) and Down (keycode: 40) events generated by a remote control device to the required `Previous` and `Next` events:

```yaml
remote-control: true
remote-control-prevkey: 38
remote-control-nextkey: 40
```

